KDE 4.4 PyKDE API Reference

- KDE's Python API

# TagWidget Class Reference

`from PyKDE4.nepomuk import *`

Inherits: QWidget
Namespace: Nepomuk.TagWidget

## Detailed Description

TagWidget provides a simple GUI interface to assign tags. It consists of a single text line displaying the assigned tags and a menu to change the tags.

## Signals
| tagClicked (, Nepomuk.Tag a0)
## Methods
| __init__ (self, Nepomuk.Resource resource, QWidget parent=0)
| __init__ (self, QWidget parent=0)
[Nepomuk.Tag] | assignedTags (self)
| setAssignedTags (self, [Nepomuk.Tag] tags)
| setTaggedResource (self, Nepomuk.Resource resource)
| setTaggedResources (self, [Nepomuk.Resource] resources)
| tagClicked (self, Nepomuk.Tag a0)
[Nepomuk.Resource] | taggedResources (self)

## Method Documentation

__init__ | ( | self, |
|  | Nepomuk.Resource | resource,
|  | QWidget | parent=0
| ) |  |  |

Creates a new TagWidget for resource. The assigned tags are loaded instantly.

__init__ | ( | self, |
|  | QWidget | parent=0
| ) |  |  |

[Nepomuk.Tag] assignedTags | ( |  | self ) |

Returns:
  The list of all tags that are assigned to the currently set resource or an empty list if no resource has been set.

\sa setTaggedResource, taggedResource, Resource.getTags

setAssignedTags | ( | self, |
|  | [Nepomuk.Tag] | tags
| ) |  |  |

Set the list of tags to be assigned to the configured resource. If no resource has been set this method does nothing.

\sa setTaggedResource

setTaggedResource | ( | self, |
|  | Nepomuk.Resource | resource
| ) |  |  |

Set the Resource to be tagged. The assigned tags will be loaded instantly.

setTaggedResources | ( | self, |
|  | [Nepomuk.Resource] | resources
| ) |  |  |

tagClicked | ( | self, |
|  | Nepomuk.Tag | a0
| ) |  |  |

This signal is emitted whenever a tag is clicked.

Signal syntax:
  `QObject.connect(source, SIGNAL("tagClicked(Nepomuk::Tag)"), target_slot)`

[Nepomuk.Resource] taggedResources | ( |  | self ) |

Returns:
  The resources that are supposed to be tagged or an empty list if none have been set.